> For the complete documentation index, see [llms.txt](https://docs.certhis.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.certhis.io/mint-api/api-endpoint.md).

# API Endpoint

## POST API Credential

On success, it will return API KEY & API SECRET

#### Example of request:

```
 https://api.certhis.io/mint_access
```

{% tabs %}
{% tab title="REQUEST" %}
Form parameter<br>

<table><thead><tr><th width="395">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>collection_index</td><td>the collection index</td></tr><tr><td>signature</td><td>the signature</td></tr><tr><td>wallet</td><td>the wallet collection owner</td></tr><tr><td><p>ask</p><p></p></td><td>null or 1 if you need to regenrate</td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

````
```json
{
    "status": true,
    "data": {
        "api_key": "API KEY",
        "api_secret": "API PASS"
    }
}
```
````

{% endtab %}
{% endtabs %}

## POST MINT NFT

On success, it will return a task id

#### Example of request:

```
 https://api.certhis.io/mint
```

{% tabs %}
{% tab title="REQUEST" %}
Header Param

<table><thead><tr><th width="395">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>api_key</td><td>the api key</td></tr><tr><td>api_secret</td><td>api  secret</td></tr></tbody></table>
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="REQUEST" %}
Form parameter

<table><thead><tr><th width="395">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>wallet</td><td>the wallet to send the NFT(or email address)</td></tr><tr><td>nft_id</td><td>if specified</td></tr><tr><td>token_uri</td><td>if specified</td></tr></tbody></table>
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="RESPONSE" %}

````
```json
{
    "status": true,
    "message": "created",
    "data": {
        "task_id": 3
    }
}
```
````

{% endtab %}
{% endtabs %}

## GET MINT STATUS

On success, it will return a STATUS

#### Example of request:

<pre><code><strong>https://api.certhis.io/mint_status
</strong></code></pre>

{% tabs %}
{% tab title="REQUEST" %}
Query parameter<br>

<table><thead><tr><th width="395">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>api_key</td><td>the api key</td></tr><tr><td>api_secret</td><td>api  secret</td></tr><tr><td>task_id</td><td>task id of the mint process</td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

````
```json
{
    "status": true,
    "data": {
        "nft": {
            "id": 133436,
            "nft_id": 0,
            "collection_id": 259,
            "owner_address": "0x50A3110CC522b0e252a977726Ef50D15521234d5",
            "creator_address": "0x8e7B74d6EEA64AD4E66C66aC4837674181982F7C",
            "ipfs_object": {
                "name": "TestF1",
                "description": "",
                "image": "https://utility-apps-assets.certhis.io/upload/2024/02/12/61d460c0-c9c6-11ee-8f7a-ebbb6a469e34.png",
                "attributes": []
            },
            "collection_object": {
                "id": 1535,
                "collection_id": 259,
                "collection_name": "BillboardX",
                "collection_logo": null,
                "collection_header": null,
                "collection_symbole": "BLLBRDX",
                "collection_tax": 0,
                "collection_address": "0x08C4C326E5dfbD75ccBf263557FCd44A26Fa2df6",
                "root_price": "0xffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff",
                "certhis_tax": null,
                "price_for_mint": 0,
                "whitelist": "[\"0x50A3110CC522b0e252a977726Ef50D15521234d5\"]",
                "collection_full": 1,
                "root": "0xffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff",
                "mintable_activate": 0,
                "collection_type": 0,
                "currency_for_mint": "0x0000000000000000000000000000000000000000",
                "collection_price": null
            },
            "label_object": {
                "label_name": null,
                "label_logo": null,
                "label_tax": 0,
                "contract_id": 63
            },
            "owner_object": {
                "id": 527,
                "pseudo": "pr4cy",
                "profile_pic": "https://utility-apps-assets.certhis.io/upload/2024/01/29/01a41be0-bebe-11ee-8db9-6d3d20681287-test.png",
                "header_pic": 1435
            },
            "creator_object": {
                "pseudo": null,
                "profile_pic": null,
                "header_pic": null
            },
            "currency_object": {
                "name": "MATIC",
                "decimals": 18,
                "symbol": "MATIC",
                "logoURI": ""
            },
            "collection_currency_object": {
                "name": "MATIC",
                "decimals": 18,
                "symbol": "MATIC"
            },
            "chain_id": 80001,
            "extra_price_collection": null,
            "extra_currency_collection": "0x0000000000000000000000000000000000000000",
            "token_uri": "https://dynamic-api.certhis.io/bs6did6dnl8uz78yi0nlmzaxhi-101/0.json",
            "sellable_type": 0,
            "sellable_currency": "0x0000000000000000000000000000000000000000",
            "sellable_amount": "0",
            "royalties": 0,
            "created": "2024-02-12T16:49:48.000Z",
            "updated": "2024-02-12T16:49:48.000Z",
            "minted": 1,
            "chain_name": "POLYGON Mumbai",
            "is_sbt": false
        },
        "status": 2,
        "message": "success",
        "updated": "2024-02-12T16:49:48.000Z",
        "created": "2024-02-12T16:49:38.000Z",
        "wallet": "0x50A3110CC522b0e252a977726Ef50D15521234d5"
    }
}
```
````

{% endtab %}
{% endtabs %}

## GET MINT TASK LIST

On success, it will return a task LIST

#### Example of request:

```
 https://api.certhis.io/mint_task_list
```

{% tabs %}
{% tab title="REQUEST" %}
Query parameter<br>

<table><thead><tr><th width="395">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>api_key</td><td>the api key</td></tr><tr><td>api_secret</td><td>api  secret</td></tr><tr><td>offset</td><td>segmentation id</td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

````
```json
{
    "status": true,
    "data": [
        {
            "id": 209,
            "api_id": 3,
            "user_id": 527,
            "status": 2,
            "nft_id": null,
            "created": "2024-02-12T16:49:38.000Z",
            "updated": "2024-02-12T16:49:48.000Z",
            "token_uri": null,
            "message": "success",
            "nft_index": 133436,
            "address": "0x50A3110CC522b0e252a977726Ef50D15521234d5"
        }
    ]
}
```
````

{% endtab %}
{% endtabs %}

## GET MINT TASK LIST


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.certhis.io/mint-api/api-endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
